<?php
/**
 * This script starts MockNetworkService with given parameters:
 *
 * Conversation lines are read from standard input separated by
 * lines consisting of the value of the conversationLineSeparator option.
 * Default separator is just two consecutive newlines.
 *
 * @param host address to serve at, default 127.0.0.1
 * @param port number of port to server at, default 1337
 * @param conversationLineSeparator string separating lines of conversation
 */

require_once dirname(__FILE__) . '/Server.php';

$longopts =
    array(
        'host:',
        'port:',
        'conversationLineSeparator:',
        'verbose'
    );
$options = getopt('', $longopts);

$conversationLineSeparator =
    "\n" . $options['conversationLineSeparator'] . "\n";

$conversationString = stream_get_contents(STDIN);
$conversationArray =
    explode($conversationLineSeparator, $conversationString);
$host = $options['host'] ? $options['host'] : '127.0.0.1';
$port = $options['port'] ? $options['port'] : 1337;
$verbose = array_key_exists('verbose', $options);

$server =
    new MockNetworkService_Server($host, $port, $conversationArray, $verbose);
$server->serve();
